
Redmine - Defect #41054

Issues options aren't hidden at start

2024-07-24 09:02 - Piotr Markiewicz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.1.3

Description

File app/views/queries/_query_form.html.erb

has <fieldset id="options"

which contains <div class="hidden">.

This div should have style="display: none" to work properly with function

function toggleFieldset(el) {

var fieldset = $(el).parents('fieldset').first();

fieldset.toggleClass('collapsed');

fieldset.children('legend').toggleClass('icon-expanded icon-collapsed');

fieldset.children('div').toggle();

}

Explanation:

<fieldset> and <legend> works fine, beacuse they have appropriate class to be hidden.

<div> hasn't style="display: none", so jQuery function toggle() toggles "display" property opposite way.

History

#1 - 2024-07-25 15:31 - Piotr Markiewicz

Everything works fine.

There was broken code in my application.

To reject.

#2 - 2024-07-25 16:24 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

Thanks for feedback!
